igeo

## Class IApplicationGL1

- java.lang.Object
- - igeo.IApplicationGL1

- All Implemented Interfaces:
    java.util.EventListener, javax.media.opengl.GLEventListener

      public class IApplicationGL1
      extends java.lang.Object
      implements javax.media.opengl.GLEventListener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.awt.Frame` | `frame`
    `IG` | `ig`
    `igeo.gui.IGraphicsGL` | `igg`
    `igeo.gui.IPanelI` | `panel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IApplicationGL1()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `display(javax.media.opengl.GLAutoDrawable drawable)`
    `void` | `displayChanged(javax.media.opengl.GLAutoDrawable drawable, boolean modeChanged, boolean deviceChanged)`
    `void` | `dispose(javax.media.opengl.GLAutoDrawable drawable)`
    `void` | `init(javax.media.opengl.GLAutoDrawable drawable)`
    `void` | `initObjects()`
    `static void` | `main(java.lang.String[] args)`
    `void` | `reshape(javax.media.opengl.GLAutoDrawable drawable, int x, int y, int width, int height)`
    `void` | `setFrame(java.awt.Frame f)`
    `void` | `setGLProperties(javax.media.opengl.GL gl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### panel

          public igeo.gui.IPanelI panel

    - #### ig

          public IG ig

    - #### igg

          public igeo.gui.IGraphicsGL igg

    - #### frame

          public java.awt.Frame frame

  - ### Constructor Detail

    - #### IApplicationGL1

          public IApplicationGL1()

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

    - #### init

          public void init(javax.media.opengl.GLAutoDrawable drawable)

      Specified by:
        `init` in interface `javax.media.opengl.GLEventListener`

    - #### setFrame

          public void setFrame(java.awt.Frame f)

    - #### setGLProperties

          public void setGLProperties(javax.media.opengl.GL gl)

    - #### reshape

          public void reshape(javax.media.opengl.GLAutoDrawable drawable,
                     int x,
                     int y,
                     int width,
                     int height)

      Specified by:
        `reshape` in interface `javax.media.opengl.GLEventListener`

    - #### display

          public void display(javax.media.opengl.GLAutoDrawable drawable)

      Specified by:
        `display` in interface `javax.media.opengl.GLEventListener`

    - #### dispose

          public void dispose(javax.media.opengl.GLAutoDrawable drawable)

      Specified by:
        `dispose` in interface `javax.media.opengl.GLEventListener`

    - #### displayChanged

          public void displayChanged(javax.media.opengl.GLAutoDrawable drawable,
                            boolean modeChanged,
                            boolean deviceChanged)

    - #### initObjects

          public void initObjects()

    - #### close

          public void close()